package com.bocloud.nms.model.veeam.job;

public class SchedulePeriodicallyModel {

    private boolean isEnabled;
    private String periodicallyKind;
    private Integer frequency;
    private BackupWindowSettingModel backupWindow;

    public boolean  getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(boolean enabled) {
        isEnabled = enabled;
    }

    public String getPeriodicallyKind() {
        return periodicallyKind;
    }

    public void setPeriodicallyKind(String periodicallyKind) {
        this.periodicallyKind = periodicallyKind;
    }

    public Integer getFrequency() {
        return frequency;
    }

    public void setFrequency(Integer frequency) {
        this.frequency = frequency;
    }

    public BackupWindowSettingModel getBackupWindow() {
        return backupWindow;
    }

    public void setBackupWindow(BackupWindowSettingModel backupWindow) {
        this.backupWindow = backupWindow;
    }

    @Override public String toString() {
        return "SchedulePeriodicallyModel{" + "isEnabled=" + isEnabled + ", periodicallyKind='" + periodicallyKind
            + '\'' + ", frequency=" + frequency + ", backupWindow=" + backupWindow + '}';
    }
}
